octonet - Segnalazione #172

Non riesco a creare un utente
01/25/2017 12:40 PM - Mark Caglienzi

Status: Chiuso Start date: 01/25/2017
Priority: Normale Due date:

Assignee: Christopher R. Gabriel % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Prima tranche aggiornamenti

Description

Quando creo un utente, ho questa eccezione:
Environment:

Request Method: POST
Request URL: http://127.0.0.1:8000/users/user/create

Django Version: 1.8.8
Python Version: 3.5.3
Installed Applications:
['django.contrib.sessions',
'django.contrib.messages’,
'whitenoise.runserver_nostatic',
'django.contrib.staticfiles',
'octonet',
'hostqueue.apps.HostQueue',
'firewall.apps.Firewall',
'dhcp.apps.Dhcp',
'dansguardian.apps.DansGuardian',
'host .apps.Host',
'polygen.apps.Polygen',
'upgrade.apps.Upgrade',
'asterisk.apps.Asterisk',
'samba.apps.Samba',
'users.apps.Users',
'script.apps.Script’',
'quota.apps.Quota',
'printers.apps.Printers’',
'auth.apps.Auth']
Installed Middleware:
['django.middleware.security.SecurityMiddleware',
'whitenoise.middleware.WhiteNoiseMiddleware',
'django.contrib.sessions.middleware.SessionMiddleware',
'django.middleware.common.CommonMiddleware',
'django.middleware.csrf.CsrfViewMiddleware',
'django.middleware.locale.LocaleMiddleware',
'octonet.middleware.AuthenticationMiddleware',
'django.contrib.messages.middleware.MessageMiddleware',
'django.middleware.clickjacking.XFrameOptionsMiddleware']

Traceback:
File "/home/mark/truelite/FUSS/octonet/django/core/handlers/base.py" in get_response
132. response = wrapped_callback (request, *callback_args, **callback_kwargs)
File "/home/mark/truelite/FUSS/octonet/django/views/generic/base.py" in view
71. return self.dispatch(request, *args, **kwargs)
File "/home/mark/truelite/FUSS/octonet/octonet/mixins.py" in dispatch
105. return super () .dispatch(request, *args, **kw)
File "/home/mark/truelite/FUSS/octonet/django/views/generic/base.py" in dispatch
89. return handler (request, *args, **kwargs)
File "/home/mark/truelite/FUSS/octonet/django/views/generic/edit.py" in post
215. return self.form_valid(form)

File "/home/mark/truelite/FUSS/octonet/users/views.py" in form_valid
510. self.user = self.root_tree.lcreate(["users", "users", name], user_data)
File "/home/mark/truelite/FUSS/octonet/octofuss/xmlrpc.py" in lcreate

84. return self._wrap_call (self.server.create, "/".Jjoin(path), dumps(value))
File "/home/mark/truelite/FUSS/octonet/octofuss/xmlrpc.py" in _wrap_call
42. raise globals () .get (name, UnknownException) (msg)

Exception Type: UnknownException at /users/user/create
Exception Value: ' is not a valid group'

E il campo di gruppo non mi permette di inserire nessun gruppo, mi dice "No results found" quando ci clicco sopra, quindi non ho
modo di inserire nessun gruppo, e la creazione fallisce per questo.

Associated revisions

Revision 5dba3e26 - 01/25/2017 02:11 PM - Mark Caglienzi

Avoid exception when controllerGroup is an empty string. Maybe patch octofussd?. refs: #172

Revision b3e81107 - 01/25/2017 02:14 PM - Mark Caglienzi
Add comment. refs: #172

Revision 146df821 - 02/01/2017 10:00 AM - Mark Caglienzi

Add support to groups also when creating a user. refs: #172

History

#1 - 01/25/2017 02:24 PM - Mark Caglienzi
- Status changed from Nuovo to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

Corretto in 649fe510
Mergiato e pushato.

Forse si potrebbe ragionare se far ignorare controllerGroup a octofussd se questo € vuoto, anziché dare questa eccezione. Quello che faccio adesso
e cancellare la chiave dal cleaned_data se esiste ed & vuota.

#2 - 01/30/2017 11:45 AM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Mark Caglienzi

Quando modifico l'utente mi fa scegliere il controller group, quando lo creo invece, la lista €' disabilitata e non contiene niente.

#3 - 01/31/2017 02:05 PM - Mark Caglienzi

- Status changed from Commenti to In elaborazione
#4 - 02/01/2017 10:02 AM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

In commit 146df821 ho fatto una modifica che permette di popolare la select anche durante la creazione di un utente. Ora come ti sembra?
https://work.fuss.bz.it/projects/octonet/repository/23/revisions/649fe510b06f03e98fe8fa4c5fbb76209203f23b
https://work.fuss.bz.it/projects/octonet/repository/23/revisions/146df821d7da7724bbdd5ec5c8891166a013fbca

#5 - 02/16/2017 10:17 AM - Christopher R. Gabriel
- Status changed from Commenti to Chiuso

- Target version set to Prima tranche aggiornamenti

Ora €' ok, chiudo. Ne apro un‘altro per altro motivo..
